<html>
  <head>
   <style>
	.text{margin-top:50px; text-align: center; font-family:Purisa; size:30;}

	.button{width:200px; height:200px; box-shadow: 0 3px 5px rgba(90,90,90,0.9); position:absolute; transition:.05s all ease;}
	.button:hover{box-shadow:0 3px 8px rgba(70,70,70,1.2);}
	.button:active{width: 197px; height:197px;}
	 #gem {margin-top:130; margin-left:550; border-radius:50%; }
	 #circle{width:0px; height:0px; position:absolute; margin-top:10px; margin-left:150px;  border-radius:50%; 
	 background-color:rgb(150,150,190);}

	 #poplu {margin-top:150px; margin-left:280px; width:0px; height:0px; opacity:0; position:absolute;}	
	 #swag {margin-top:130px; margin-left:600px; width:0px; height:0px; opacity:0; position:absolute;}
	 #gemSecond {margin-left:610px; margin-top:280px; width:0px; height:0px; opacity:0; position:absolute;}	

	.next{width: 5px; margin-left:0px;margin-top:0px; text-align: center; font-family:Purisa; color:white; position:absolute;}	
	.next:hover {color:rgb(220,220,220);} 
	 #s1 { size:20; opacity:0;}
	 #s2 { size:20; opacity:0;}
	 #s3 { size:20; opacity:0;}
	 #s4 { size:20; opacity:0;}
	 #s5 { size:20; opacity:0;}
	 
   </style>
  </head>
<body>
    
    <h1 class="text">Story of Poplu</h1>     
    <img class="button" id="gem" src= "gem2.png" ></img>
    <div id="circle">
    <img id="poplu" src= "S1.png" ></img>
    <img id="gemSecond" src= "gem1.png"></img>
    <img id="swag" src= "2.png"></img>
    
    <p class="next" id="s1"><b> Poplu was bored... <br><b>he was learning marketing <br> <b>and certainly he wanted to know his value<br>(click poplu to help)</p>
    
    <p class="next" id="s2"><b> Poplu went to Lord Swag <br><b>who gave him a gem and asked to take it<br> to different people<b><br>(click gem to give it to poplu)</p>
    
    <p class="next" id="s3"><b> Poplu took the gem to LAALA g <br><b>he said its worth 20rs<br><b><br>Then he went to JAGGA VAPARI<br><b> he said its worth 1000rs <br><br> Poplu became sad... <br> the gem was as useless as him.<br> click here to know what happened next</p>
    
    <p class="next" id="s4"><b> He took the gem to billa-the priest<br><b>Billa was a rich guy<br><b><br>he offered poplu his chair<br><b>, wrapped the gem in a cloth <br><br>& started worshipping it!!!<br><br> click here to know the moral<br> (too lazy to complete the story)</p>
    
    <p class="next" id="s5"><b> People in your life value you<br><b>according to their need... They try to find<br><b>how useful can you be to them<br><b><br> Your real value can only be known to a person who knows<br><br>who you really are...<br><br>You cannot know your real value until <br> you find the right person</p>

    </div>


  <script>
	function transit1(e, f, g){		
		var element = document.getElementById(e);
				
		element.style.transition = "border-radius .5s ease, margin-left .02s ease";
		element.style.height = "500px";		
		element.style.width = "1000px";		
		element.style.borderRadius = "5%";
		
		var poplu = document.getElementById(f);
		
		poplu.style.transition = "opacity .5s ease";
		poplu.style.opacity = "1";	
		poplu.style.height = "250px";		
		poplu.style.width = "170px";	
				
			 
		var text = document.getElementById(g);
		
		text.style.transition = "opacity 1s ease, height-left .02s ease";
		text.style.marginTop ="140px";
		text.style.marginLeft ="480px";		
		text.style.opacity = "1";		
		text.style.width = "150px";
		};
	function transit2 (a, b, c, d, e){
		var poplu2 = document.getElementById(a);
				
		poplu2.style.transition = "opacity .5s ease, width .8s ease-out, height .8s ease-out";
		poplu2.style.opacity = "0";	
		poplu2.style.height = "0px";		
		poplu2.style.width = "0px";	
				
		
		var text2 = document.getElementById(b);
				
		text2.style.transition = "opacity .1s ease";		
		text2.style.opacity = "0";
		
		var text3 = document.getElementById(c);
				
		text3.style.transition = "opacity 1s ease";		
		text3.style.opacity = "1";
		text3.style.marginTop ="110px";
		text3.style.marginLeft ="300px";	
		text3.style.width = "150px";
		
		var swag1 = document.getElementById(d);
		
		swag1.style.width ="180px";		
		swag1.style.height ="270px";
		swag1.style.marginLeft ="480px";	
		swag1.style.transition = "opacity .8s ease";
		swag1.style.opacity = "1";
		
		var gem = document.getElementById(e);

		gem.style.width ="30px";		
		gem.style.height ="25px";
		gem.style.transition = "opacity 1.5s ease";
		gem.style.marginLeft ="550px";
		gem.style.marginTop ="110px";		
		gem.style.opacity = "1";
		};
	
	function transit3(p, q, r, s, t){
		var swag2 = document.getElementById(p);
				
		swag2.style.transition = "opacity .1s ease, width 1s ease-out, height 1s ease-out";
		swag2.style.opacity = "0";	
		swag2.style.height = "0px";		
		swag2.style.width = "0px";
		
		var text4 = document.getElementById(q);
				
		text4.style.transition = "opacity .1s ease";		
		text4.style.opacity = "0";
		
		var text5 = document.getElementById(r);
				
		text5.style.transition = "opacity 1s ease";		
		text5.style.opacity = "1";
		text5.style.marginTop ="100px";
		text5.style.marginLeft ="240px";	
		text5.style.width = "250px";
		
		var poplu2 = document.getElementById(s);
		
		poplu2.style.marginLeft ="530px";	
		poplu2.style.transition = "opacity .3s ease, width .1s ease, height .1s ease";
		poplu2.style.width = "190px";		
		poplu2.style.height = "275px";		
		poplu2.style.opacity = "1";
		
		var gem2 = document.getElementById(t);
			
		gem2.style.transition = "opacity .4s ease, margin-top 1s ease, margin-left 1s ease";
		gem2.style.opacity = "0";
		gem2.style.marginTop = "272px";
		gem2.style.marginLeft = "540px";
		gem2.style.opacity = "1";

		
		};

	function transit4(u, v, w, x){
		var poplu3 = document.getElementById(u);
				
		poplu3.style.transition = "opacity .2s ease, width .3s ease-out, height .3s ease-out";
		poplu3.style.opacity = "0";
		poplu3.style.height = "0px";
		poplu3.style.width = "0px";
		
		var text6 = document.getElementById(v);
				
		text6.style.transition = "opacity .1s ease";		
		text6.style.opacity = "0";
		
		var text7 = document.getElementById(w);
				
		text7.style.transition = "opacity 1s ease";		
		text7.style.opacity = "1";
		text7.style.marginTop ="50px";
		text7.style.marginLeft ="350px";	
		text7.style.width = "250px";
		
		var gem3 = document.getElementById(x);
		
		gem3.style.transition = "opacity .1s ease";
		gem3.style.opacity= "0";
	
		};


	function transit5(y, z){
		
		var text8 = document.getElementById(y);
				
		text8.style.transition = "opacity .1s ease";		
		text8.style.opacity = "0";
		
		var text9 = document.getElementById(z);
				
		text9.style.transition = "opacity 1s ease";		
		text9.style.opacity = "1";
		text9.style.marginTop ="50px";
		text9.style.marginLeft ="300px";	
		text9.style.width = "350px";
		
		};
	document.getElementById('gem').onclick = function() { transit1('circle', 'poplu', 's1'); };
  	document.getElementById('poplu').onclick = function() { transit2('poplu', 's1', 's2', 'swag', 'gemSecond'); };
	document.getElementById('gemSecond').onclick = function() { transit3('swag', 's2', 's3','poplu', 'gemSecond'); };
	document.getElementById('s3').onclick = function() { transit4('poplu','s3','s4', 'gemSecond'); };
	document.getElementById('s4').onclick = function() { transit5('s4','s5'); };
	
	
	document.getElementById('gemSecond').onmouseover = function() { this.style.transition = "opacity .1s ease"; this.style.opacity =".7";}
	document.getElementById('poplu').onmouseover = function() {this.style.transition = "opacity .1s ease"; this.style.opacity =".7";}
	document.getElementById('swag').onmouseover = function() {this.style.transition = "opacity .1s ease"; this.style.opacity =".7";}
	document.getElementById('gemSecond').onmouseout = function() { this.style.transition = "opacity .2s ease"; this.style.opacity ="1";}
	document.getElementById('poplu').onmouseout = function() {this.style.transition = "opacity .2s ease"; this.style.opacity ="1";}
	document.getElementById('swag').onmouseout = function() {this.style.transition = "opacity .2s ease"; this.style.opacity ="1";}

  </script>
</body>	

</html>
